# Files Object

> Source: https://truto.one/docs/api-reference/unified-file-storage-api/files/

Schema for the `Files` resource in **Unified File Storage API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for a file
- **`name`** _(string)_
  The name of the file
- **`file_url`** _(string)_
  The URL of the file
- **`file_thumbnail_url`** _(string)_
  The URL of the thumbnail preview of file
- **`size`** _(integer)_
  The size of the file
- **`mime_type`** _(string)_
  The mime type of the file
- **`description`** _(string)_
  The description of the file
- **`folder`** _(string)_
  The folder of the file where it belongs
- **`drive`** _(string)_
  The drive of the file where it belongs
- **`created_at`** _(string)_
  The date and time the file was created
- **`updated_at`** _(string)_
  The date and time the file was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/file-storage/files](/docs/api-reference/unified-file-storage-api/files/list) — List Files
- [GET /unified/file-storage/files/{id}](/docs/api-reference/unified-file-storage-api/files/get) — Get Files
